---
title: Getting Started
slug: redcircleapi/target-product-data-api/overview
docTags: 
createdAt: 2024-07-27T14:22:43.825Z
---

# Getting Started

RedCircle API is an API to retrieve public-domain data from Target in real-time. You can use RedCircle API to retrieve [products](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/product), [reviews](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/reviews), [search results](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/search) and [category listings](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/category) from Target.

RedCircle API returns clean, structured  `JSON`  or  `CSV` results. You can achieve fine-grained control over your request using the [request parameters](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/common).

***

### Retrieving Search Results for Products on Target

<font color="#52c41a">`GET`</font>  `/request`

Getting search result Target data with RedCircle API is as simple as making an HTTP  `GET`  request to the  `request`  endpoint. The only required parameters are `api_key` ([sign up](https://app.redcircleapi.com/signup) for free to get an API key) and  `type`  (which defines the type of Target data you'd like to retrieve).

For example, to retrieve search results ( `type=search` ) for the search term  `highlighter pens` , ordered by best selling products ( `sort_by=best_seller` ) the RedCircle API request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.redcircleapi.com/request?api_key=demo&type=search&search_term=highlighter+pens&sort_by=best_seller
```

```curl
$ curl -L --get https://api.redcircleapi.com/request \
  -d api_key="demo" \
  -d type="search" \
  -d sort_by="best_seller" \
  -d search_term="highlighter pens"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "search",
  search_term: "highlighter pens",
  sort_by: "best_seller"
}

// make the http GET request to RedCircle API
axios.get('https://api.redcircleapi.com/request', { params })
  .then(response => {

    // print the JSON response from RedCircle API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'search',
  'search_term': 'highlighter pens',
  'sort_by': 'best_seller'
}

# make the http GET request to RedCircle API
api_result = requests.get('https://api.redcircleapi.com/request', params)

# print the JSON response from RedCircle API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type': 'search',
  'search_term': 'highlighter pens',
  'sort_by': 'best_seller'
]);

# make the http GET request to RedCircle API
$ch = curl_init(sprintf('%s?%s', 'https://api.redcircleapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);

curl_close($ch);

# print the JSON response from RedCircle API
echo $api_result;

?>
```
:::

:::hint{type="info"}
To view RedCircle API JSON results clearly in your browser we recommend these extensions for [Chrome](https://chrome.google.com/webstore/detail/jsonview/chklaanhfefbnpoihckbnefhakgolnmc) and [Firefox](https://addons.mozilla.org/en-GB/firefox/addon/jsonview/)
:::

The search results are shown below within the  `search_results`  array. For full documentation on the search results response see the [Search Results](https://www.redcircleapi.com/docs/target-product-data-api/results/search) docs.

```json
{
  "request_info": {
    "success": true,
    "credits_used": 1,
    "credits_remaining": 999
  },
  "request_metadata": {
    "created_at": "2020-01-01T00:00:00.000Z",
    "processed_at": "2020-01-01T00:00:00.000Z",
    "total_time_taken": 1.15,
    "target_url": "https://www.target.com/s?searchTerm=highlighter+pens&sortBy=bestselling&Nao=0"
  },
  "request_parameters": {
    "type": "search",
    "search_term": "highlighter pens",
    "sort_by": "best_seller"
  },
  "search_results": [
    {
      "position": 1,
      "product": {
        "title": "BIC Xtra Life Ballpoint Pens, Medium Tip, 10ct - Black",
        "link": "https://www.target.com/p/bic-xtra-life-ballpoint-pens-medium-tip-10ct-black/-/A-16951588",
        "tcin": "16951588",
        "dpci": "081-02-0667",
        "class_id": 2,
        "department_id": 81,
        "brand": "BiC",
        "brand_link": "https://www.target.com/b/bic/-/N-5pteu",
        "feature_bullets": [
          "#1 Selling Ballpoint Pen in the U.S.*",
          "Writes the First Time, Every Time and lasts 90% longer on average than other brands*",
          "Medium point (1.0mm) with tungsten carbide ball for effortlessly smooth writing",
          "Translucent barrel shows remaining ink level, ensuring you know when it's time to replace",
          "Non-refillable",
          "Includes 10 BIC Ballpoint Stic Pens in Black ink"
        ],
        "rating": 4.7,
        "ratings_total": 377,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_84148b12-7ccd-451e-8bdd-247e4f803a30",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_84148b12-7ccd-451e-8bdd-247e4f803a30",
          "https://target.scene7.com/is/image/Target/GUEST_8066fc16-b38e-40f1-a653-ef7e22502be8",
          "https://target.scene7.com/is/image/Target/GUEST_dfc2ad82-3433-46c4-88f5-7d06e2588211",
          "https://target.scene7.com/is/image/Target/GUEST_234d5e62-4309-470b-8c28-fddaee90a899",
          "https://target.scene7.com/is/image/Target/GUEST_24f588b8-9dc3-46fe-94f8-02c378c7399c"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_3aee3a80-7496-4047-b9dd-40426be43601_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 1.59,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 1.59,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 2,
      "product": {
        "title": "Sharpie Pocket 4pk Highlighters Narrow Chisel Tip Multicolored",
        "link": "https://www.target.com/p/sharpie-pocket-4pk-highlighters-narrow-chisel-tip-multicolored/-/A-78025470",
        "tcin": "78025470",
        "dpci": "081-02-3451",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Bright, easy-to-see colors make your highlighted text easy to read",
          "Resists smearing of many pen and marker inks (let ink dry before highlighting)",
          "Easy-glide, narrow chisel tip is great for highlighting, underlining or writing notes",
          "Slim shape is easy to control and slips into backpacks or notebooks",
          "Includes: Fluorescent Pink, Yellow, Orange and Blue highlighters"
        ],
        "rating": 4.7,
        "ratings_total": 245,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_dd2740a1-b9a7-4a4f-906d-3244ff2b517e",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_dd2740a1-b9a7-4a4f-906d-3244ff2b517e",
          "https://target.scene7.com/is/image/Target/GUEST_29507d0a-f7ee-483e-b6c1-72237ea26e7a",
          "https://target.scene7.com/is/image/Target/GUEST_a6980245-9cab-435d-8469-4f01064e04b8",
          "https://target.scene7.com/is/image/Target/GUEST_3680fd7d-ecec-40a9-a13d-7722546532ca"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_75fa3d67-3821-4e47-8ddf-14aa56078d75_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_0bf20858-cdf8-4e8a-bdc6-723433b97c61_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 2.89,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 2.89,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 3,
      "product": {
        "title": "BIC Xtra Life Ballpoint Pens, Medium Tip, 10ct - Blue",
        "link": "https://www.target.com/p/bic-xtra-life-ballpoint-pens-medium-tip-10ct-blue/-/A-17079144",
        "tcin": "17079144",
        "dpci": "081-02-1699",
        "class_id": 2,
        "department_id": 81,
        "brand": "BiC",
        "brand_link": "https://www.target.com/b/bic/-/N-5pteu",
        "feature_bullets": [
          "#1 Selling Ballpoint Pen in the U.S.*",
          "Writes the First Time, Every Time and lasts 90% longer on average than other brands*",
          "Medium point (1.0mm) with tungsten carbide ball for effortlessly smooth writing",
          "Translucent barrel shows remaining ink level, ensuring you know when it's time to replace",
          "Non-refillable",
          "Includes 10 BIC Ballpoint Stic Pens in Blue ink"
        ],
        "rating": 4.7,
        "ratings_total": 268,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_2f14834a-f214-418b-8bcf-4393a508f73b",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_2f14834a-f214-418b-8bcf-4393a508f73b",
          "https://target.scene7.com/is/image/Target/GUEST_1b374de3-9ec5-4bbf-bd22-cd20e95b83f4",
          "https://target.scene7.com/is/image/Target/GUEST_6a73e705-e3e5-4a60-beb2-a099eb668231",
          "https://target.scene7.com/is/image/Target/GUEST_525bbbec-b152-47fc-ae00-1cf3d6a9a74c"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_3aee3a80-7496-4047-b9dd-40426be43601_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 1.59,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 1.59,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 4,
      "product": {
        "title": "Sharpie Clear View 3pk Highlighters Fine Chisel Tip Multicolored",
        "link": "https://www.target.com/p/sharpie-clear-view-3pk-highlighters-fine-chisel-tip-multicolored/-/A-50362442",
        "tcin": "50362442",
        "dpci": "081-02-2041",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Highlighter with see-through tip so you can highlight neatly and evenly",
          "Chisel tip lets you switch between both wide and narrow lines",
          "Ultra-vivid fluorescent ink jumps off the page",
          "Resists smearing of many pen and marker inks so your work stays clean",
          "Contains 3 Stick Highlighters in assorted colors; colors in pack may vary"
        ],
        "rating": 4.7,
        "ratings_total": 87,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_69a05003-17a4-4cfa-8a51-dacb3d03eea3",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_69a05003-17a4-4cfa-8a51-dacb3d03eea3",
          "https://target.scene7.com/is/image/Target/GUEST_de6d864b-316e-4240-9110-6650c61b1cea",
          "https://target.scene7.com/is/image/Target/GUEST_6379bcdf-7a34-460d-b7ef-1c336805b730",
          "https://target.scene7.com/is/image/Target/GUEST_cbecefbb-1621-47a8-9df5-7d63c4b6d562",
          "https://target.scene7.com/is/image/Target/GUEST_df159eaf-74d9-4f17-a316-15753608103c",
          "https://target.scene7.com/is/image/Target/GUEST_8a4015c9-6831-4554-a6ff-484e303a14cd",
          "https://target.scene7.com/is/image/Target/GUEST_0c489766-fb13-4f60-adac-6f4a080a47c9",
          "https://target.scene7.com/is/image/Target/GUEST_7cedf35d-cafe-4dee-9ef0-81d281ae779d",
          "https://target.scene7.com/is/image/Target/GUEST_d2815405-6aa4-40ef-8ea3-0c049948bead"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_6a704552-1e1c-4841-b170-195add122580_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 6.49,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 6.49,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 5,
      "product": {
        "title": "Sharpie Clear View 3pk Highlighters Chisel Tip Mulitcolored",
        "link": "https://www.target.com/p/sharpie-clear-view-3pk-highlighters-chisel-tip-mulitcolored/-/A-18799259",
        "tcin": "18799259",
        "dpci": "081-02-0559",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Highlighter with see-through tip so you can highlight neatly and evenly",
          "Chisel tip lets you switch between both wide and narrow lines",
          "Ultra-vivid fluorescent ink jumps off the page",
          "Resists smearing of many pen and marker inks so your work stays clean",
          "Contains 3 Tank Highlighters in assorted colors; colors in pack may vary"
        ],
        "rating": 4.7,
        "ratings_total": 79,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_82fedeff-1836-42e0-8da8-ec182e71b333",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_82fedeff-1836-42e0-8da8-ec182e71b333",
          "https://target.scene7.com/is/image/Target/GUEST_676a55d4-0b64-44b0-8ce1-28d0d44f87f3",
          "https://target.scene7.com/is/image/Target/GUEST_784f2276-2b5d-4f8f-91ef-5f0c984dd310",
          "https://target.scene7.com/is/image/Target/GUEST_e594e29a-cf45-4be9-be74-3c09edc0fef6",
          "https://target.scene7.com/is/image/Target/GUEST_fea75900-8daa-44a7-a562-fc1e033d5738",
          "https://target.scene7.com/is/image/Target/GUEST_aa685f6b-1166-4989-9895-dfe527181766",
          "https://target.scene7.com/is/image/Target/GUEST_d8d7c698-1161-4ce5-9326-e6920044c7f4",
          "https://target.scene7.com/is/image/Target/GUEST_340363bf-02e6-4cc4-bcad-6dec0e731e3b"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_6a704552-1e1c-4841-b170-195add122580_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 5.59,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.59,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 6,
      "product": {
        "title": "BIC Brite Liner Highlighter, Medium Tip, 4ct - Multicolor Ink",
        "link": "https://www.target.com/p/bic-brite-liner-highlighter-medium-tip-4ct-multicolor-ink/-/A-13313331",
        "tcin": "13313331",
        "dpci": "081-02-0847",
        "class_id": 2,
        "department_id": 81,
        "brand": "BiC",
        "brand_link": "https://www.target.com/b/bic/-/N-5pteu",
        "feature_bullets": [
          "ACMI approved non-toxic",
          "Won’t dry out when left uncapped for 8 hours",
          "Chisel tip for broad highlighting and fine underlining",
          "Includes 4 BIC Highlighters in an assortment of vibrantly bright, fluorescent ink colors"
        ],
        "rating": 4.8,
        "ratings_total": 286,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_0c2fd9ca-13c7-409d-b9e5-106739196021",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_0c2fd9ca-13c7-409d-b9e5-106739196021",
          "https://target.scene7.com/is/image/Target/GUEST_2087db73-8830-42ed-a528-911d291b5459",
          "https://target.scene7.com/is/image/Target/GUEST_b2160785-efcb-40f2-b6b2-cbc857bc72e8",
          "https://target.scene7.com/is/image/Target/GUEST_8eb38e7a-a517-489a-9248-38e5c4a4b914",
          "https://target.scene7.com/is/image/Target/GUEST_cc98aa4b-b7c9-40ec-93bd-99add2659c9a"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_19168f6d-5858-4a7c-acb5-74b15fef06a7_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 1.89,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 1.89,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 7,
      "product": {
        "title": "Sharpie Clear View 6pk Highlighters Chisel Tip Multicolored",
        "link": "https://www.target.com/p/sharpie-clear-view-6pk-highlighters-chisel-tip-multicolored/-/A-51912582",
        "tcin": "51912582",
        "dpci": "081-02-2118",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Highlighter with see-through tip so you can highlight neatly and evenly",
          "Chisel tip lets you switch between both wide and narrow lines",
          "Ultra-vivid fluorescent ink jumps off the page",
          "Resists smearing of many pen and marker inks so your work stays clean",
          "Contains 8 Stick Highlighters in assorted colors; colors in pack may vary"
        ],
        "rating": 4.6,
        "ratings_total": 142,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_52bafc61-58dd-4575-94aa-b3f2e65f1e7b",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_52bafc61-58dd-4575-94aa-b3f2e65f1e7b",
          "https://target.scene7.com/is/image/Target/GUEST_70752be5-dc3b-4c4e-a9dd-3aab2ed414c7",
          "https://target.scene7.com/is/image/Target/GUEST_327426f1-6305-476f-8b42-b469e7f6b16d",
          "https://target.scene7.com/is/image/Target/GUEST_0e1a25c4-fd77-44dc-8938-102898f318f9",
          "https://target.scene7.com/is/image/Target/GUEST_9675c7c9-c33f-4dc8-9bb6-f5972004e971"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_6a704552-1e1c-4841-b170-195add122580_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_0bf20858-cdf8-4e8a-bdc6-723433b97c61_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 11.59,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 11.59,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 8,
      "product": {
        "title": "Sharpie S-Gel 4pk Gel Pens 0.7mm Medium Tip Black",
        "link": "https://www.target.com/p/sharpie-s-gel-4pk-gel-pens-0-7mm-medium-tip-black/-/A-78025435",
        "tcin": "78025435",
        "dpci": "081-02-8686",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "No smear, no bleed technology",
          "Intensely bold gel ink",
          "Comfortable, contoured rubber grip",
          "Medium Point (0.7mm)",
          "4 black gel ink pens"
        ],
        "rating": 4.2,
        "ratings_total": 257,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_703d2652-0e9d-4fbf-9482-961805b1fdb6",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_703d2652-0e9d-4fbf-9482-961805b1fdb6",
          "https://target.scene7.com/is/image/Target/GUEST_22a9eadc-9ee8-4d9d-b740-21c34c12f846",
          "https://target.scene7.com/is/image/Target/GUEST_eab0d1c5-a99a-4dab-9d09-7953393c298c",
          "https://target.scene7.com/is/image/Target/GUEST_131d156a-b270-4db3-a950-ee7073bb8c10",
          "https://target.scene7.com/is/image/Target/GUEST_93a43c11-6db6-48d4-b311-9bd1dc1ccc95",
          "https://target.scene7.com/is/image/Target/GUEST_fc646b7b-fa25-4177-8cde-a3550c4af62c"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_485eadbd-9f8f-45fa-addd-2f0a4bb976e6_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_4a3427c6-2176-4df7-8fba-2b756ed96a67_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 5.59,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.59,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 9,
      "product": {
        "title": "Pilot 5ct FriXion Light Pastel Erasable Highlighters Chisel Tip",
        "link": "https://www.target.com/p/pilot-5ct-frixion-light-pastel-erasable-highlighters-chisel-tip/-/A-54114976",
        "tcin": "54114976",
        "dpci": "081-02-2451",
        "class_id": 2,
        "department_id": 81,
        "brand": "FriXion",
        "brand_link": "https://www.target.com/b/frixion/-/N-q643lenvhp3",
        "feature_bullets": [
          "Highlights in Pastel, Erases Clean",
          "Pastel ink colors add subtle emphasis to important information",
          "Highlight and erase repeatedly without damaging books or documents. No wear or tear!",
          "Unique thermo-sensitive ink formula disappears with erasing friction"
        ],
        "rating": 4.1,
        "ratings_total": 196,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_24190330-dc99-464a-b483-0e2a62f4aa0d",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_24190330-dc99-464a-b483-0e2a62f4aa0d",
          "https://target.scene7.com/is/image/Target/GUEST_2834e6f7-f1ee-4840-bfc2-5c24d5e5df45",
          "https://target.scene7.com/is/image/Target/GUEST_af261e99-3459-4c23-9135-f3452aa60156"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_3bddc7e0-bade-46ff-8015-37cde2055045_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 5.89,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.89,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 10,
      "product": {
        "title": "Sharpie S-Gel 4pk Gel Pens White Barrel 0.7mm Medium Tip Black",
        "link": "https://www.target.com/p/sharpie-s-gel-4pk-gel-pens-white-barrel-0-7mm-medium-tip-black/-/A-81450203",
        "tcin": "81450203",
        "dpci": "081-02-7750",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Sleek, stylish barrel gives pen a modern, professional look",
          "Gel pen with no smear, no bleed technology",
          "Intensely bold gel ink colors offer always-vivid writing",
          "Contoured rubber grip for a comfortable writing experience",
          "Includes 4 black gel ink pens in medium point (0.7mm)"
        ],
        "rating": 4.5,
        "ratings_total": 247,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_f7d911b0-fd2f-449c-b241-5668e112d92a",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_f7d911b0-fd2f-449c-b241-5668e112d92a",
          "https://target.scene7.com/is/image/Target/GUEST_bd22893a-da7d-40fb-a4e2-ad9ced1b07da",
          "https://target.scene7.com/is/image/Target/GUEST_08f7064b-a67e-41e4-8647-0cb8cb1fab49",
          "https://target.scene7.com/is/image/Target/GUEST_ae94791c-69a2-49b3-ad49-f378a2eebe30",
          "https://target.scene7.com/is/image/Target/GUEST_e7fae567-fc34-4380-a7f1-3253ec24d34c",
          "https://target.scene7.com/is/image/Target/GUEST_11c799da-f815-46f8-9c14-4c11c374e18f"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_a254544f-a694-4c6e-a266-d1e9737fb0b1_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_c968a9ec-e6ec-4f65-8d3e-d1e694023f5a_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 5.59,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.59,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 11,
      "product": {
        "title": "Highlighters Narrow Chisel Tip Multicolor 12ct - up &#38; up&#8482;",
        "link": "https://www.target.com/p/highlighters-narrow-chisel-tip-multicolor-12ct-up-38-up-8482/-/A-16631074",
        "tcin": "16631074",
        "dpci": "081-02-1682",
        "class_id": 2,
        "department_id": 81,
        "brand": "up & up",
        "brand_link": "https://www.target.com/b/up/-/N-q643leuvcp7",
        "feature_bullets": [
          "12pk of highlighters for school, work or craft use",
          "Chisel-tip highlighters allow for more precise highlighting",
          "Tip can create thick or thin lines depending on angle",
          "Bright colors are easy to see when skimming through pages",
          "Multicolor pack includes yellow, pink, orange, green and purple highlighters"
        ],
        "rating": 4.7,
        "ratings_total": 106,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_f9245b1e-4583-4c01-a5ca-c8062b0ce99b",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_f9245b1e-4583-4c01-a5ca-c8062b0ce99b"
        ]
      },
      "offers": {
        "primary": {
          "price": 5.69,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.69,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 12,
      "product": {
        "title": "Sharpie 5pk Highlighters Gel Bullet Tip Multicolored",
        "link": "https://www.target.com/p/sharpie-5pk-highlighters-gel-bullet-tip-multicolored/-/A-78025463",
        "tcin": "78025463",
        "dpci": "081-02-2732",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Vivid, high-contrast shades add colorful emphasis to highlighted text",
          "Ink-free, smooth gel formula won’t dry out if left uncapped, ensuring you won’t be left high and dry when it’s showtime",
          "Gel resists smearing over most pen and marker inks while writing on most types of paper including glossy surfaces",
          "User-friendly, quick-drying, and odorless AP certified formula",
          "Colorful options: Includes Fluorescent pink, yellow, orange, green, and blue Sharpie highlighters"
        ],
        "rating": 3.4,
        "ratings_total": 82,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_deac7222-3d84-4c53-abc2-82537fac5001",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_deac7222-3d84-4c53-abc2-82537fac5001",
          "https://target.scene7.com/is/image/Target/GUEST_6e5f1b92-5fc2-4518-bac8-5511ddf7528a",
          "https://target.scene7.com/is/image/Target/GUEST_e3a98128-4e06-46a0-826b-b7e77dfbee90",
          "https://target.scene7.com/is/image/Target/GUEST_45091cda-2517-483e-8eee-7f722826a773",
          "https://target.scene7.com/is/image/Target/GUEST_3b2cf086-e3d8-4428-ae23-a4c6d0f64fb9",
          "https://target.scene7.com/is/image/Target/GUEST_6db02390-a45d-492a-9669-dd860880ea73",
          "https://target.scene7.com/is/image/Target/GUEST_57d4ad2a-f43e-415a-9817-e14bca011e3c"
        ]
      },
      "offers": {
        "primary": {
          "price": 7.69,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 7.69,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 13,
      "product": {
        "title": "Pilot 3ct FriXion Clicker Erasable Retractable Gel Pens Fine Point 0.7mm Assorted",
        "link": "https://www.target.com/p/pilot-3ct-frixion-clicker-erasable-retractable-gel-pens-fine-point-0-7mm-assorted/-/A-15025230",
        "tcin": "15025230",
        "dpci": "081-02-1073",
        "class_id": 2,
        "department_id": 81,
        "brand": "FriXion",
        "brand_link": "https://www.target.com/b/frixion/-/N-q643lenvhp3",
        "feature_bullets": [
          "Writes Smooth, Erases Clean",
          "Write, erase and rewrite repeatedly without damaging documents. No wear or Tear!",
          "Combines the convenience of a retractable pen with incredible FriXion erasable gel ink",
          "Eraser is at the top of the pen; tip is retractable by pressing clip down",
          "Unique, thermo-sensitive gel ink formula disappears with erasing friction"
        ],
        "rating": 4.7,
        "ratings_total": 125,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_c3d54cd8-f329-4443-9c7b-76a96b2b3d76",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_c3d54cd8-f329-4443-9c7b-76a96b2b3d76",
          "https://target.scene7.com/is/image/Target/GUEST_d368cd28-9be7-4a5b-909e-da5213e6043f",
          "https://target.scene7.com/is/image/Target/GUEST_ebb6f239-eff6-47bf-b584-cea94a0a342c"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_3bddc7e0-bade-46ff-8015-37cde2055045_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 5.69,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.69,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 14,
      "product": {
        "title": "Sharpie S-Gel 4pk Gel Pens 0.7mm Medium Tip Multicolored",
        "link": "https://www.target.com/p/sharpie-s-gel-4pk-gel-pens-0-7mm-medium-tip-multicolored/-/A-78025436",
        "tcin": "78025436",
        "dpci": "081-02-0485",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "No smear, no bleed technology",
          "Intensely bold gel ink",
          "Comfortable, contoured rubber grip",
          "Medium Point (0.7mm)",
          "4 gel ink pens in assorted colors"
        ],
        "rating": 4.5,
        "ratings_total": 173,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_84aa0346-7d9f-4719-bed7-504aa69a3896",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_84aa0346-7d9f-4719-bed7-504aa69a3896",
          "https://target.scene7.com/is/image/Target/GUEST_cf4de654-614f-4191-ba15-dab1ae31d44a",
          "https://target.scene7.com/is/image/Target/GUEST_22d9ca37-fb39-4b5f-98ff-9dc86b08cdb6",
          "https://target.scene7.com/is/image/Target/GUEST_34ab23b6-be26-4b18-8016-32d82bd8d641",
          "https://target.scene7.com/is/image/Target/GUEST_8345a2b2-8d5d-483e-9527-448bcf37e10d"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_485eadbd-9f8f-45fa-addd-2f0a4bb976e6_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_4a3427c6-2176-4df7-8fba-2b756ed96a67_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 5.59,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.59,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 15,
      "product": {
        "title": "Pilot 3ct FriXion Clicker Erasable Retractable Gel Pens Fine Point 0.7mm Black",
        "link": "https://www.target.com/p/pilot-3ct-frixion-clicker-erasable-retractable-gel-pens-fine-point-0-7mm-black/-/A-15025229",
        "tcin": "15025229",
        "dpci": "081-02-1072",
        "class_id": 2,
        "department_id": 81,
        "brand": "FriXion",
        "brand_link": "https://www.target.com/b/frixion/-/N-q643lenvhp3",
        "feature_bullets": [
          "Writes Smooth, Erases Clean",
          "Write, erase and rewrite repeatedly without damaging documents. No wear or Tear!",
          "Combines the convenience of a retractable pen with incredible FriXion erasable gel ink",
          "Eraser is at the top of the pen; tip is retractable by pressing clip down",
          "Unique, thermo-sensitive gel ink formula disappears with erasing friction"
        ],
        "rating": 4.6,
        "ratings_total": 215,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_8fde5844-0f1c-4157-b5ff-d9d9a84febca",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_8fde5844-0f1c-4157-b5ff-d9d9a84febca",
          "https://target.scene7.com/is/image/Target/GUEST_8f016119-c333-4ee1-933c-2ec1e3d48c72",
          "https://target.scene7.com/is/image/Target/GUEST_471482a7-a1fb-49e2-acf2-c003cb8246a4"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_3bddc7e0-bade-46ff-8015-37cde2055045_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 5.69,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.69,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 16,
      "product": {
        "title": "BIC Xtra Comfort Ballpoint Pens, 1.2mm, 26ct - Multicolor Ink",
        "link": "https://www.target.com/p/bic-xtra-comfort-ballpoint-pens-1-2mm-26ct-multicolor-ink/-/A-13313419",
        "tcin": "13313419",
        "dpci": "081-02-1563",
        "class_id": 2,
        "department_id": 81,
        "brand": "BiC",
        "brand_link": "https://www.target.com/b/bic/-/N-5pteu",
        "feature_bullets": [
          "Consistent, fluid writing",
          "Soft grip for comfortable writing",
          "1.2mm Medium Point Tip",
          "Easy-Glide System Ink in Black, Blue, and Red ink only",
          "Exclusive ink technology that offers up to 50% smoother writing and bolder ink than our traditional ballpoint ink!"
        ],
        "rating": 4.5,
        "ratings_total": 24,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_69e2a8b0-15b6-49e9-8032-4dba3d03f4ea",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_69e2a8b0-15b6-49e9-8032-4dba3d03f4ea",
          "https://target.scene7.com/is/image/Target/GUEST_48cbe80f-b112-4a11-8f3a-ca8dd726ccf4",
          "https://target.scene7.com/is/image/Target/GUEST_2a4e090e-9643-44b9-8777-d0515159f633",
          "https://target.scene7.com/is/image/Target/GUEST_79363e68-7d69-44aa-9aec-97c3a20d7622",
          "https://target.scene7.com/is/image/Target/GUEST_51ab87bd-2045-464d-bb36-d061e6699b3c"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_3aee3a80-7496-4047-b9dd-40426be43601_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 4.79,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 4.79,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 17,
      "product": {
        "title": "BIC Retractable Ballpoint Pen, 5ct - Multicolor Ink",
        "link": "https://www.target.com/p/bic-retractable-ballpoint-pen-5ct-multicolor-ink/-/A-13533164",
        "tcin": "13533164",
        "dpci": "081-02-0186",
        "class_id": 2,
        "department_id": 81,
        "brand": "BiC",
        "brand_link": "https://www.target.com/b/bic/-/N-5pteu",
        "feature_bullets": [
          "BIC's #1 selling retractable ball pen",
          "Even smoother than BIC classic ink system",
          "Everyday, smooth-click retractable pen",
          "Comfortable rubber grip and metal clip",
          "Available in medium point in black, blue, red, green, pink, purple, turquoise & lime green ink"
        ],
        "rating": 4.7,
        "ratings_total": 170,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_68907e8b-82bc-4292-94e5-6b8736623d06",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_68907e8b-82bc-4292-94e5-6b8736623d06",
          "https://target.scene7.com/is/image/Target/GUEST_01b5ddbf-3518-4bd5-a1e7-08d97b90d94d",
          "https://target.scene7.com/is/image/Target/GUEST_84d695f3-ff10-4a58-a3b1-4fee25e8b5aa",
          "https://target.scene7.com/is/image/Target/GUEST_1ee3ea2a-ef66-4d9d-9e2d-d6b4d00d125a",
          "https://target.scene7.com/is/image/Target/GUEST_97137a52-5c08-465b-a94c-e1ea6cd7f10c",
          "https://target.scene7.com/is/image/Target/GUEST_54ba28f1-b20a-4459-a17f-04efe1f74245",
          "https://target.scene7.com/is/image/Target/GUEST_09292175-86ac-436f-83ca-eb07cf22151e",
          "https://target.scene7.com/is/image/Target/GUEST_e52ecbef-33c7-4190-8a3d-91ed13ae80d9"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_57aac955-dc82-4d3d-9a0c-34aedf7e196a_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 3.79,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 3.79,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 18,
      "product": {
        "title": "Sharpie S-Gel 8pk Gel Pens 0.7mm Medium Tip Black",
        "link": "https://www.target.com/p/sharpie-s-gel-8pk-gel-pens-0-7mm-medium-tip-black/-/A-78025442",
        "tcin": "78025442",
        "dpci": "081-02-3518",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Gel pen with no smear, no bleed technology",
          "Intensely bold gel ink colors offer always vivid writing",
          "Contoured rubber grip for a comfortable writing experience",
          "Medium Point (0.7mm)",
          "Includes 8 black gel ink pens"
        ],
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_13b1c522-8101-41da-95d3-8cd5034ae2ad",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_13b1c522-8101-41da-95d3-8cd5034ae2ad",
          "https://target.scene7.com/is/image/Target/GUEST_45d5d013-1368-4d61-9dfb-ce74ea9dd02f",
          "https://target.scene7.com/is/image/Target/GUEST_62e429cc-ec69-4ada-8f65-47b419da6ce2",
          "https://target.scene7.com/is/image/Target/GUEST_ad237494-6f62-4962-b43b-e7c7a6e5189d",
          "https://target.scene7.com/is/image/Target/GUEST_8c8b8bbd-dfa3-4463-baff-76e34261c6e6",
          "https://target.scene7.com/is/image/Target/GUEST_b181875c-2587-473d-8d55-0c40ddf75a6a"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_485eadbd-9f8f-45fa-addd-2f0a4bb976e6_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_a254544f-a694-4c6e-a266-d1e9737fb0b1_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_4a3427c6-2176-4df7-8fba-2b756ed96a67_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 10.29,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 10.29,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 19,
      "product": {
        "title": "8ct FriXion Clicker Erasable Retractable Gel Pens",
        "link": "https://www.target.com/p/8ct-frixion-clicker-erasable-retractable-gel-pens/-/A-78025475",
        "tcin": "78025475",
        "dpci": "081-02-2881",
        "class_id": 2,
        "department_id": 81,
        "brand": "FriXion",
        "brand_link": "https://www.target.com/b/frixion/-/N-q643lenvhp3",
        "feature_bullets": [
          "Writes Smooth, Erases Clean",
          "Write, erase and rewrite repeatedly without damaging documents. No wear or tear!",
          "Combines the convenience of a retractable pen with incredible FriXion erasable gel ink",
          "Eraser is at the top of the pen, tip is retractable by pressing clip down",
          "Unique, thermo-sensitive gel ink formula disappears with erasing friction"
        ],
        "rating": 4.8,
        "ratings_total": 150,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_46b155bc-77b4-422b-a850-ec33d3b683a5",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_46b155bc-77b4-422b-a850-ec33d3b683a5",
          "https://target.scene7.com/is/image/Target/GUEST_2c2805cd-29c8-4a7a-94f0-218fbe06aadd",
          "https://target.scene7.com/is/image/Target/GUEST_451c35a5-86e8-44f0-86ef-660231285d4f"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_23c74075-4790-4bb1-bd17-62060af3bffb_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 12.69,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 12.69,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 20,
      "product": {
        "title": "Sharpie S-Gel 8pk Gel Pens 0.7mm Medium Tip Multicolored",
        "link": "https://www.target.com/p/sharpie-s-gel-8pk-gel-pens-0-7mm-medium-tip-multicolored/-/A-81278277",
        "tcin": "81278277",
        "dpci": "081-02-9246",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Gel pen with no smear, no bleed technology",
          "Intensely bold gel ink colors offer always-vivid writing",
          "Contoured rubber grip for a comfortable writing experience",
          "Medium point (0.7mm)",
          "Includes 4 black, 1 blue, 1 red, 1 green, and 1 purple gel ink pens"
        ],
        "rating": 4.4,
        "ratings_total": 108,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_552e8861-dc2b-46d0-81ef-f48c31279717",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_552e8861-dc2b-46d0-81ef-f48c31279717",
          "https://target.scene7.com/is/image/Target/GUEST_a87154f8-ba42-4652-af10-9ef6daa085b6",
          "https://target.scene7.com/is/image/Target/GUEST_66bb4f2f-20bc-430e-99b1-4b9293d3d19f",
          "https://target.scene7.com/is/image/Target/GUEST_fc2a4b34-ef8f-4393-a688-1bbf67f7c562",
          "https://target.scene7.com/is/image/Target/GUEST_cbf37776-a944-4d34-8b43-1785d66562c0",
          "https://target.scene7.com/is/image/Target/GUEST_d31ef1d7-8bd5-40dd-8a44-4d4c025aad8b",
          "https://target.scene7.com/is/image/Target/GUEST_0ed794c0-39c0-48a5-ab97-664f11e5d07d"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_a254544f-a694-4c6e-a266-d1e9737fb0b1_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_4a3427c6-2176-4df7-8fba-2b756ed96a67_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 10.29,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 10.29,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 21,
      "product": {
        "title": "BIC Cristal Xtra Smooth Ballpoint Pens, 1.2mm, 22ct - Black",
        "link": "https://www.target.com/p/bic-cristal-xtra-smooth-ballpoint-pens-1-2mm-22ct-black/-/A-16753431",
        "tcin": "16753431",
        "dpci": "081-02-1672",
        "class_id": 2,
        "department_id": 81,
        "brand": "BiC",
        "brand_link": "https://www.target.com/b/bic/-/N-5pteu",
        "feature_bullets": [
          "Up to 35% smoother than BIC's traditional ballpoint ink",
          "Long-lasting dependability and smooth writing",
          "Features Easy-Glide System ink for ultra-smooth Writing",
          "Roll-proof hexagon-shaped barrel",
          "Clear barrel for visible ink supply",
          "Available in 1.0 mm medium point in black, blue and red ink"
        ],
        "rating": 4.9,
        "ratings_total": 56,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_925e1bd4-c9a7-4f64-ad3f-5032e918ac30",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_925e1bd4-c9a7-4f64-ad3f-5032e918ac30",
          "https://target.scene7.com/is/image/Target/GUEST_30161ff6-cb10-4cdf-9e8e-f95ada1f2a77",
          "https://target.scene7.com/is/image/Target/GUEST_227fbf45-0956-450f-8302-40dd307fe964",
          "https://target.scene7.com/is/image/Target/GUEST_80f7582e-2372-4762-88be-c3a21713ed9f",
          "https://target.scene7.com/is/image/Target/GUEST_1d786c9e-6be1-4270-bcb2-f27f0eabe06e"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_3aee3a80-7496-4047-b9dd-40426be43601_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 3.79,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 3.79,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 22,
      "product": {
        "title": "Sharpie S-Gel 2pk Black Ink Gel Pens 0.7mm Medium Tip - Gray Metal Barrel",
        "link": "https://www.target.com/p/sharpie-s-gel-2pk-black-ink-gel-pens-0-7mm-medium-tip-gray-metal-barrel/-/A-81278280",
        "tcin": "81278280",
        "dpci": "081-02-5139",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Sleek metal barrel for an eye-catching, premium look",
          "Gel pen with no smear, no bleed technology",
          "Intensely bold gel ink colors offer always-vivid writing",
          "Contoured rubber grip for a comfortable writing experience",
          "Includes 2 black gel ink pens in medium point (0.7mm)"
        ],
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_d4787959-861e-450c-b944-ee3315f59a19",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_d4787959-861e-450c-b944-ee3315f59a19",
          "https://target.scene7.com/is/image/Target/GUEST_2365ab2d-fe58-449b-8045-8222f0c005fc",
          "https://target.scene7.com/is/image/Target/GUEST_5a5933bc-8166-47c6-b721-bd8ed5850cc4",
          "https://target.scene7.com/is/image/Target/GUEST_7ef131f4-3735-44f5-9819-abd66a3fa0e4",
          "https://target.scene7.com/is/image/Target/GUEST_25a99419-3f74-4a08-92b4-ae4f57b14967",
          "https://target.scene7.com/is/image/Target/GUEST_0c08eea8-b9ec-4ca9-b6ec-fbf0c9720701"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_a254544f-a694-4c6e-a266-d1e9737fb0b1_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          },
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_a0f3fee1-10f0-48c4-9ca3-f471ad085c2a_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 5.59,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 5.59,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 23,
      "product": {
        "title": "Sharpie Clear View 12pk Highlighters Chisel Tip Multicolored",
        "link": "https://www.target.com/p/sharpie-clear-view-12pk-highlighters-chisel-tip-multicolored/-/A-54241380",
        "tcin": "54241380",
        "dpci": "081-02-2450",
        "class_id": 2,
        "department_id": 81,
        "brand": "Sharpie",
        "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
        "feature_bullets": [
          "Highlighter with see-through tip so you can highlight neatly and evenly",
          "Chisel tip lets you switch between both wide and narrow lines",
          "Ultra-vivid fluorescent ink jumps off the page",
          "Resists smearing of many pen and marker inks so your work stays clean",
          "Contains 12 Stick Highlighters in assorted colors; colors in pack may vary"
        ],
        "rating": 4.6,
        "ratings_total": 76,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_94e3b7f9-4008-4910-8f5e-1fffa0cd9ab0",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_94e3b7f9-4008-4910-8f5e-1fffa0cd9ab0",
          "https://target.scene7.com/is/image/Target/GUEST_4c328408-6ddf-453a-8186-c3ad8b465dab",
          "https://target.scene7.com/is/image/Target/GUEST_db387ea7-5716-463b-abfd-5684e1bc1435",
          "https://target.scene7.com/is/image/Target/GUEST_b08515e9-db62-4d4f-8423-ce260de64e77"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_6a704552-1e1c-4841-b170-195add122580_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 20.99,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 20.99,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    },
    {
      "position": 24,
      "product": {
        "title": "Pilot 5ct FriXion Clicker Erasable Retractable Gel Ink Pens Fine Point 0.7mm",
        "link": "https://www.target.com/p/pilot-5ct-frixion-clicker-erasable-retractable-gel-ink-pens-fine-point-0-7mm/-/A-52909714",
        "tcin": "52909714",
        "dpci": "081-02-2387",
        "class_id": 2,
        "department_id": 81,
        "brand": "FriXion",
        "brand_link": "https://www.target.com/b/frixion/-/N-q643lenvhp3",
        "feature_bullets": [
          "Writes Smooth, Erases Clean",
          "Write, erase and rewrite repeatedly without damaging documents. No wear or Tear!",
          "Combines the convenience of a retractable pen with incredible FriXion erasable gel ink",
          "Eraser is at the top of the pen; tip is retractable by pressing clip down",
          "Unique, thermo-sensitive gel ink formula disappears with erasing friction"
        ],
        "rating": 4.8,
        "ratings_total": 127,
        "main_image": "https://target.scene7.com/is/image/Target/GUEST_cf27ecf8-c6d1-46da-b709-c406bc2724d0",
        "images": [
          "https://target.scene7.com/is/image/Target/GUEST_cf27ecf8-c6d1-46da-b709-c406bc2724d0",
          "https://target.scene7.com/is/image/Target/GUEST_37ac775f-a165-4fc7-8433-ae95e4e1d979",
          "https://target.scene7.com/is/image/Target/GUEST_9f021049-508f-4d23-a387-d963c8e97ad7"
        ],
        "videos": [
          {
            "link": "https://target.scene7.com/is/content/Target/GUEST_3bddc7e0-bade-46ff-8015-37cde2055045_Flash9_Autox720p_2600k",
            "type": "video/mp4"
          }
        ]
      },
      "offers": {
        "primary": {
          "price": 8.79,
          "currency": "USD",
          "symbol": "$"
        },
        "all_offers": [
          {
            "price": 8.79,
            "currency": "USD",
            "symbol": "$"
          }
        ]
      },
      "fulfillment": {
        "type": "1p"
      }
    }
  ],
  "related_queries": [
    {
      "query": "green pen",
      "link": "https://www.target.com/s?searchTerm=green+pen"
    },
    {
      "query": "crayola markers",
      "link": "https://www.target.com/s?searchTerm=crayola+markers"
    },
    {
      "query": "washable markers",
      "link": "https://www.target.com/s?searchTerm=washable+markers"
    },
    {
      "query": "dry erase marker",
      "link": "https://www.target.com/s?searchTerm=dry+erase+marker"
    },
    {
      "query": "pilot g2 pens",
      "link": "https://www.target.com/s?searchTerm=pilot+g2+pens"
    }
  ],
  "pagination": {
    "current": {
      "page": 1,
      "link": "https://www.target.com/s?searchTerm=highlighter+pens&sortBy=bestselling&Nao=0"
    },
    "next": {
      "page": 2,
      "link": "https://www.target.com/s?searchTerm=highlighter+pens&sortBy=bestselling&Nao=24"
    },
    "total_pages": 10,
    "total_results": 220
  },
  "categories": [
    {
      "name": "School & Office Supplies",
      "id": "5xsxr"
    },
    {
      "name": "Home",
      "id": "5xtvd"
    },
    {
      "name": "Toys",
      "id": "5xtb0"
    }
  ],
  "facets": [
    {
      "display_name": "Price",
      "name": "d_pricerange",
      "values": [
        {
          "display_name": "$0 - $15",
          "value": "$0 - $15",
          "id": "5zja2"
        },
        {
          "display_name": "$15 - $25",
          "value": "$15 - $25",
          "id": "5zja3"
        },
        {
          "display_name": "$25 - $50",
          "value": "$25 - $50",
          "id": "5zja4"
        }
      ]
    },
    {
      "display_name": "Sold by",
      "name": "d_sellers_all",
      "values": [
        {
          "display_name": "Target",
          "value": "target",
          "id": "dq4mn"
        },
        {
          "display_name": "Arteza",
          "value": "arteza",
          "id": "zbi86"
        },
        {
          "display_name": "MyOfficeInnovations",
          "value": "myofficeinnovations",
          "id": "jp8ap"
        },
        {
          "display_name": "School Specialty",
          "value": "school specialty",
          "id": "7gkvi"
        }
      ]
    },
    {
      "display_name": "Brand",
      "name": "d_brand_all",
      "values": [
        {
          "display_name": "Arteza",
          "value": "arteza",
          "id": "q643le9kydq"
        },
        {
          "display_name": "Avery",
          "value": "avery",
          "id": "5d7pg"
        },
        {
          "display_name": "BiC",
          "value": "bic",
          "id": "5pteu"
        },
        {
          "display_name": "Crayola",
          "value": "crayola",
          "id": "5xoy2"
        },
        {
          "display_name": "Faber-Castell",
          "value": "faber-castell",
          "id": "5s4to"
        },
        {
          "display_name": "FriXion",
          "value": "frixion",
          "id": "q643lenvhp3"
        },
        {
          "display_name": "Integra",
          "value": "integra",
          "id": "34h06"
        },
        {
          "display_name": "kingart",
          "value": "kingart",
          "id": "hvfwh"
        },
        {
          "display_name": "MyOfficeInnovations",
          "value": "myofficeinnovations",
          "id": "q643leoowt"
        },
        {
          "display_name": "Paper Mate",
          "value": "paper mate",
          "id": "56c8g"
        },
        {
          "display_name": "Pilot",
          "value": "pilot",
          "id": "5d8yf"
        },
        {
          "display_name": "PM Company",
          "value": "pm company",
          "id": "4yk14"
        },
        {
          "display_name": "Sakura",
          "value": "sakura",
          "id": "if0po"
        },
        {
          "display_name": "School Smart",
          "value": "school smart",
          "id": "8q5wb"
        },
        {
          "display_name": "Sharpie",
          "value": "sharpie",
          "id": "56cak"
        },
        {
          "display_name": "Staedtler",
          "value": "staedtler",
          "id": "56i5t"
        },
        {
          "display_name": "Staples",
          "value": "staples",
          "id": "q643lev0bck"
        },
        {
          "display_name": "Sugar Paper Essentials",
          "value": "sugar paper essentials",
          "id": "q643le3nubs"
        },
        {
          "display_name": "Target Brands",
          "value": "target brands",
          "id": "xmf9o"
        },
        {
          "display_name": "Ticonderoga",
          "value": "ticonderoga",
          "id": "5d5zu"
        },
        {
          "display_name": "Tombow",
          "value": "tombow",
          "id": "54xlg"
        },
        {
          "display_name": "TRU RED",
          "value": "tru red",
          "id": "q643leviis7"
        },
        {
          "display_name": "Universal",
          "value": "universal",
          "id": "5wthz"
        },
        {
          "display_name": "Universal Office",
          "value": "universal office",
          "id": "yj4jr"
        },
        {
          "display_name": "up & up",
          "value": "up & up",
          "id": "q643leuvcp7"
        },
        {
          "display_name": "Yoobi",
          "value": "yoobi",
          "id": "551o8"
        },
        {
          "display_name": "Zebra",
          "value": "zebra",
          "id": "5537i"
        }
      ]
    },
    {
      "display_name": "Color",
      "name": "d_color_all",
      "values": [
        {
          "display_name": "Black",
          "value": "black",
          "id": "5y761"
        },
        {
          "display_name": "Blue",
          "value": "blue",
          "id": "5y70h"
        },
        {
          "display_name": "Brown",
          "value": "brown",
          "id": "5y746"
        },
        {
          "display_name": "Clear",
          "value": "clear",
          "id": "5y6nd"
        },
        {
          "display_name": "Gray",
          "value": "gray",
          "id": "5y759"
        },
        {
          "display_name": "Green",
          "value": "green",
          "id": "5y73r"
        },
        {
          "display_name": "Multicolored",
          "value": "multicolored",
          "id": "5xr7i"
        },
        {
          "display_name": "Orange",
          "value": "orange",
          "id": "55ivi"
        },
        {
          "display_name": "Pink",
          "value": "pink",
          "id": "5y76n"
        },
        {
          "display_name": "Purple",
          "value": "purple",
          "id": "5y6hb"
        },
        {
          "display_name": "Red",
          "value": "red",
          "id": "5y76d"
        },
        {
          "display_name": "Silver",
          "value": "silver",
          "id": "5y713"
        },
        {
          "display_name": "White",
          "value": "white",
          "id": "5y750"
        },
        {
          "display_name": "Yellow",
          "value": "yellow",
          "id": "5y72c"
        }
      ]
    },
    {
      "display_name": "Type",
      "name": "d_item_type_all",
      "values": [
        {
          "display_name": "Artist Markers",
          "value": "artist markers",
          "id": "al25lfglagt"
        },
        {
          "display_name": "Ballpoint Pens",
          "value": "ballpoint pens",
          "id": "556pt"
        },
        {
          "display_name": "Brush Markers",
          "value": "brush markers",
          "id": "al25lfl6gmg"
        },
        {
          "display_name": "Brush Pens",
          "value": "brush pens",
          "id": "55o3a"
        },
        {
          "display_name": "Dry Erase Markers",
          "value": "dry erase markers",
          "id": "al25lfz7brg"
        },
        {
          "display_name": "Eraseable Pens",
          "value": "eraseable pens",
          "id": "d77l5"
        },
        {
          "display_name": "Felt Tip Pens",
          "value": "felt tip pens",
          "id": "555of"
        },
        {
          "display_name": "Fountain Pens",
          "value": "fountain pens",
          "id": "551o6"
        },
        {
          "display_name": "Gel Pens",
          "value": "gel pens",
          "id": "xf87j"
        },
        {
          "display_name": "Highlighters",
          "value": "highlighters",
          "id": "al25lf5y9hu"
        },
        {
          "display_name": "Permanent Markers",
          "value": "permanent markers",
          "id": "al25lfyet60"
        },
        {
          "display_name": "Plastic Point Pens",
          "value": "plastic point pens",
          "id": "4xv33"
        },
        {
          "display_name": "Porous Point Pens",
          "value": "porous point pens",
          "id": "555ni"
        },
        {
          "display_name": "Rollerball Pens",
          "value": "rollerball pens",
          "id": "55o93"
        }
      ]
    },
    {
      "display_name": "Package Quantity",
      "name": "d_package_quantity",
      "values": [
        {
          "display_name": "0 - 10",
          "value": "0 - 10",
          "id": "xo6o1"
        },
        {
          "display_name": "11 - 20",
          "value": "11 - 20",
          "id": "51tyh"
        },
        {
          "display_name": "21 - 30",
          "value": "21 - 30",
          "id": "ted2d"
        },
        {
          "display_name": "31 - 40",
          "value": "31 - 40",
          "id": "9s9jm"
        },
        {
          "display_name": "41 - 50",
          "value": "41 - 50",
          "id": "1o5mp"
        },
        {
          "display_name": "51 - 60",
          "value": "51 - 60",
          "id": "zl11t"
        },
        {
          "display_name": "61 - 100",
          "value": "61 - 100",
          "id": "kjhnn"
        }
      ]
    },
    {
      "display_name": "Deals",
      "name": "d_deals",
      "values": [
        {
          "display_name": "All Deals",
          "value": "all deals",
          "id": "akkos"
        },
        {
          "display_name": "Buy and Save",
          "value": "buy and save",
          "id": "55e6t"
        },
        {
          "display_name": "Sale",
          "value": "sale",
          "id": "5tdv0"
        }
      ]
    },
    {
      "display_name": "Lead Size",
      "name": "d_lead_size",
      "values": [
        {
          "display_name": "0.5mm",
          "value": "0.5mm",
          "id": "5pxtk9559ri"
        },
        {
          "display_name": "0.6mm",
          "value": "0.6mm",
          "id": "5pxtk9bi1wl"
        },
        {
          "display_name": "0.7mm",
          "value": "0.7mm",
          "id": "5pxtk9559rj"
        },
        {
          "display_name": "0.8mm",
          "value": "0.8mm",
          "id": "5pxtk9nnveo"
        },
        {
          "display_name": "Bold",
          "value": "bold",
          "id": "5pxtk9s1s7i"
        },
        {
          "display_name": "Fine",
          "value": "fine",
          "id": "5pxtk9n6e8u"
        },
        {
          "display_name": "Medium",
          "value": "medium",
          "id": "5pxtk98vnc4"
        },
        {
          "display_name": "No. 1",
          "value": "no. 1",
          "id": "2jhk8"
        },
        {
          "display_name": "No. 4",
          "value": "no. 4",
          "id": "k5kv"
        }
      ]
    },
    {
      "display_name": "Character Name",
      "name": "d_license_personality_action_figures",
      "values": [
        {
          "display_name": "Captain America",
          "value": "captain america",
          "id": "l2ndrkl9ffq"
        }
      ]
    },
    {
      "display_name": "Character",
      "name": "d_character_all",
      "values": [
        {
          "display_name": "Avengers",
          "value": "avengers",
          "id": "5abx2"
        },
        {
          "display_name": "black widow",
          "value": "black widow",
          "id": "rlp2i"
        },
        {
          "display_name": "Captain America",
          "value": "captain america",
          "id": "5s2au"
        },
        {
          "display_name": "hulk",
          "value": "hulk",
          "id": "dkc5o"
        },
        {
          "display_name": "Iron Man",
          "value": "iron man",
          "id": "5xvt0"
        },
        {
          "display_name": "Marvel",
          "value": "marvel",
          "id": "5xktd"
        }
      ]
    },
    {
      "display_name": "FPO/APO",
      "name": "d_apo_fpo",
      "values": [
        {
          "display_name": "only eligible items",
          "value": "only eligible items",
          "id": "vu13f"
        }
      ]
    }
  ]
}
```

:::hint{type="info"}
**Response Times & Concurrency**
RedCircle API gathers data in real-time and will typically return a result in 1-6 seconds. Please inspect the [HTTP Response Code](https://docs.trajectdata.com/redcircleapi/response-codes) and update your app accordingly.

If you need to run large volumes of requests consider using the [Collections API](https://docs.trajectdata.com/redcircleapi/collections-api/overview). Collections allow you to enqueue up to 15,000 requests, run them manually or on a schedule and execute them concurrently on RedCircle API's infrastructure.
:::

***

### Getting Data for an Individual Product

<font color="#52c41a">`GET`</font>  `/request`

Lets say we want to change our query to request a different type of data - information on a specific [product](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/product), in this case the product with Target TCIN  `78025470` . Here's the RedCircle API request to achieve that:

:::CodeblockTabs
HTTP

```HTTP
https://api.redcircleapi.com/request?api_key=demo&type=product&tcin=78025470
```

```curl
$ curl -L --get https://api.redcircleapi.com/request \
  -d api_key="demo" \
  -d type="product" \
  -d tcin="78025470"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "product",
  tcin: "78025470"
}

// make the http GET request to RedCircle API
axios.get('https://api.redcircleapi.com/request', { params })
  .then(response => {

    // print the JSON response from RedCircle API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'product',
  'tcin': '78025470'
}

# make the http GET request to RedCircle API
api_result = requests.get('https://api.redcircleapi.com/request', params)

# print the JSON response from RedCircle API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type': 'product',
  'tcin': '78025470'
]);

# make the http GET request to RedCircle API
$ch = curl_init(sprintf('%s?%s', 'https://api.redcircleapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from RedCircle API
echo $api_result;

?>
```
:::

The result of the Product request is shown below. For full documentation on Product results see the [Product Results](https://www.redcircleapi.com/docs/target-product-data-api/results/product) docs.

```json
{
  "request_info": {
    "success": true,
    "credits_used": 1,
    "credits_remaining": 999
  },
  "request_parameters": {
    "type": "product",
    "tcin": "78025470"
  },
  "request_metadata": {
    "created_at": "2020-01-01T00:00:00.000Z",
    "processed_at": "2020-01-01T00:00:00.001Z",
    "total_time_taken": 0.1,
    "target_url": "https://www.target.com/p/-/A-78025470"
  },
  "product": {
    "tcin": "78025470",
    "title": "Sharpie Pocket 4pk Highlighters Narrow Chisel Tip Multicolored",
    "link": "https://www.target.com/p/sharpie-pocket-4pk-highlighters-narrow-chisel-tip-multicolored/-/A-78025470",
    "breadcrumbs": [
      {
        "name": "Target",
        "link": "https://www.target.com/"
      },
      {
        "name": "School & Office Supplies",
        "link": "https://www.target.com/c/school-office-supplies/-/N-5xsxr"
      },
      {
        "name": "Highlighters",
        "link": "https://www.target.com/c/highlighters-writing-supplies-school-office/-/N-4yjut"
      }
    ],
    "brand": "Sharpie",
    "brand_link": "https://www.target.com/b/sharpie/-/N-56cak",
    "upc": "071641174603",
    "dpci": "081-02-3451",
    "rating": 4.7,
    "ratings_total": 245,
    "main_image": {
      "link": "https://target.scene7.com/is/image/Target/GUEST_dd2740a1-b9a7-4a4f-906d-3244ff2b517e"
    },
    "images": [
      {
        "link": "https://target.scene7.com/is/image/Target/GUEST_dd2740a1-b9a7-4a4f-906d-3244ff2b517e"
      },
      {
        "link": "https://target.scene7.com/is/image/Target/GUEST_29507d0a-f7ee-483e-b6c1-72237ea26e7a"
      },
      {
        "link": "https://target.scene7.com/is/image/Target/GUEST_a6980245-9cab-435d-8469-4f01064e04b8"
      },
      {
        "link": "https://target.scene7.com/is/image/Target/GUEST_3680fd7d-ecec-40a9-a13d-7722546532ca"
      }
    ],
    "videos": [
      {
        "link": "https://target.scene7.com/is/content/Target/GUEST_75fa3d67-3821-4e47-8ddf-14aa56078d75_Flash9_Autox720p_2600k",
        "type": "video/mp4"
      },
      {
        "link": "https://target.scene7.com/is/content/Target/GUEST_0bf20858-cdf8-4e8a-bdc6-723433b97c61_Flash9_Autox720p_2600k",
        "type": "video/mp4"
      }
    ],
    "description": "Draw attention to important information in notes, text and documents with Sharpie Accent Highlighters. The 4 bright fluorescent colors make it easy to read highlighted text and emphasize important passages. Sharpie highlighters dry quickly and resist smearing of many pen and marker inks (let ink dry before highlighting). Includes pink, yellow, orange and blue highlighters. ",
    "feature_bullets": [
      "Bright, easy-to-see colors make your highlighted text easy to read",
      "Resists smearing of many pen and marker inks (let ink dry before highlighting)",
      "Easy-glide, narrow chisel tip is great for highlighting, underlining or writing notes",
      "Slim shape is easy to control and slips into backpacks or notebooks",
      "Includes: Fluorescent Pink, Yellow, Orange and Blue highlighters"
    ],
    "aisle": "A17",
    "weight": "0.14 pound",
    "dimensions": "0.71 inch (H) x 3.73 inch (W) x 7.61 inch (D)",
    "buybox_winner": {
      "price": {
        "value": 2.89,
        "currency_symbol": "$",
        "currency": "USD"
      },
      "availability": {
        "raw": "IN_STOCK",
        "in_stock": true
      },
      "fulfillment": {
        "type": "1p",
        "pickup": true,
        "pickup_info": {
          "ready_in_minutes": 120,
          "stock_level": 15,
          "store_id": "1771",
          "store_name": "Cedar Rapids South",
          "store_address": "3400 Edgewood Rd SW",
          "store_city": "Cedar Rapids",
          "store_state": "Iowa",
          "store_zipcode": "52404-7214"
        },
        "delivery_from_store": true,
        "shipping": true,
        "shipping_info": {
          "stock_level": 20,
          "services": [
            {
              "name": "Standard",
              "description": "2-day shipping",
              "is_default": true,
              "cutoff_time": "2022-05-15T17:00:00Z",
              "delivery_date": "2022-05-18"
            }
          ]
        }
      }
    },
    "specifications": [
      {
        "name": "Suggested Age",
        "value": "18 Years and Up"
      },
      {
        "name": "Ink Color",
        "value": "Multicolored"
      },
      {
        "name": "Point size",
        "value": "Fine"
      },
      {
        "name": "Package Quantity",
        "value": "4"
      }
    ]
  }
}
```

***

**Next Steps**
     [Searching for Products on Target](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/search)
     [Retrieving Customer Reviews](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/reviews)
